# Created by pyp2rpm-3.3.5
%global pypi_name frozenlist

%bcond_without check

Name:           python-%{pypi_name}
Version:        1.6.0
Release:        %mkrel 2
Summary:        A list-like structure which implements collections
Group:          Development/Python
License:        Apache 2
URL:            https://github.com/aio-libs/frozenlist
Source0:        %{pypi_source}
Patch1:         0001-Downstream-only-Build-normal-wheels-in-place.patch
BuildRequires:  python3-devel
BuildRequires:  python3-cython
%if %{with check}
BuildRequires:  python3dist(pytest)
%endif

%description
frozenlist.FrozenList is a list-like structure which implements
collections.abc.MutableSequence.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
frozenlist.FrozenList is a list-like structure which implements
collections.abc.MutableSequence.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# Remove Cython-generated sources; we must ensure they are regenerated.
find . -type f -name '*.c' -print -delete

# Patch out coverage-related pytest options:
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_linters
sed -r -i 's/^([[:blank:]]*)(.*[-_]cov)/\1# \2/' pytest.ini

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files frozenlist

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Tue Jul 08 2025 umeabot <umeabot> 1.6.0-2.mga10
+ Revision: 2252142
- Mageia 10 Mass Rebuild

* Wed Apr 23 2025 papoteur <papoteur> 1.6.0-1.mga10
+ Revision: 2178385
- new version 1.6.0

* Tue Feb 25 2025 wally <wally> 1.5.0-2.mga10
+ Revision: 2152317
- rebuild for python3.13

* Thu Dec 19 2024 papoteur <papoteur> 1.5.0-1.mga10
+ Revision: 2126248
- new version 1.5.0

* Sun Jan 21 2024 wally <wally> 1.4.1-1.mga10
+ Revision: 2033082
- new version 1.4.1

* Sat Jan 20 2024 papoteur <papoteur> 1.4.0-5.mga10
+ Revision: 2033037
- rebuild for python 3.12
- use generate_buildrequires

* Tue Dec 26 2023 papoteur <papoteur> 1.4.0-4.mga10
+ Revision: 2021804
- revert to version 1.4.0
- new version 1.4.1

* Tue Dec 12 2023 papoteur <papoteur> 1.4.0-3.mga10
+ Revision: 2017473
- rebuild for python3.12

* Thu Dec 07 2023 wally <wally> 1.4.0-2.mga10
+ Revision: 2015235
- rebuild for py3.12
- use %%pyproject_buildrequires

* Fri Sep 01 2023 papoteur <papoteur> 1.4.0-1.mga10
+ Revision: 1983094
- new 1.4.0

* Wed Sep 07 2022 neoclust <neoclust> 1.3.1-1.mga9
+ Revision: 1884717
- New version  1.3.1

* Sat Jun 04 2022 papoteur <papoteur> 1.3.0-1.mga9
+ Revision: 1861194
- imported package python-frozenlist

